$(function() {
    $('.news-module').focusPic3({
        isFocus: true
    });
    $('.section-wrap').hover(function() {
        $(this).stop().animate({'bottom': '140px'});
    }, function() {
        $('.section-wrap').stop().animate({'bottom': '-120px'});
    });
    $(".tab-item").click(function () {
        $(this).addClass('curr').siblings().removeClass('curr');
        var $tab_head = $(this).parent().parent().parent();
        var l_url= $(this).data('url');
        if($(this).data('type')=='out'){
            l_url = __host + l_url;
        }
        $tab_head.find('.j-panel-more').attr('href',l_url);
        $tab_head.find("#middleTitle").text($(this).find('.tab-text').text());
        $tab_head.find('.tab-cont-item').eq($(this).index()).removeClass('hide').siblings().addClass('hide');
    });
    $(".tab-item.curr").click();

    var bindCareerData = function () {
        //通过JS获取数据动态加载正式数据
        $.getJSON(__host + "/api/index_json?jsoncallback=?",
            function (data) {
                if(data) {
                    if(data.career) {
                        var html = template($("#tmpl_panel").html(), {
                            list: {
                                type: 1,
                                host:__host,
                                list: data.career,
                                panel_content: ''
                            }
                        });
                        $("#list_career").html(html);
                    }
                    if(data.career_out) {
                        var html = template($("#tmpl_panel").html(), {
                            list: {
                                type: 2,
                                host:__host,
                                list: data.career_out,
                                panel_content: ''
                            }
                        });
                        $("#list_career_out").html(html);
                    }
                    if(data.jobfair) {
                        var html = template($("#tmpl_panel").html(), {
                            list: {
                                type: 3,
                                host:__host,
                                list: data.jobfair,
                                panel_content: ''
                            }
                        });
                        $("#list_jobfair").html(html);
                    }
                    if(data.online) {
                        var html = template($("#tmpl_panel").html(), {
                            list: {
                                type: 5,
                                host:__host,
                                list: data.online,
                                panel_content: ''
                            }
                        });
                        $("#list_online").html(html);
                    }
                }
            }
        );
    }
    bindCareerData();
});